aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJake Petroules <jake.petroules@qt.io>2017-08-15 20:19:54 -0700
committerJake Petroules <jake.petroules@qt.io>2017-08-16 18:21:15 +0000
commit9527b031c0da701e79757b1877aad6cdc78688fe (patch)
tree35328441707d92d0ef3ae6af1b7e14d2fe86b295 /scripts
parenta6d205aebcb0d6bd55f4667fa9d3a0ef6460c499 (diff)
Organize development-time scripts in a single place
Adapt scripts as necessary. Change-Id: Ib5ad4d1b6bc0e47cb6b4994cfb924efc1c3ebdc4 Reviewed-by: Christian Kandeler <christian.kandeler@qt.io>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scripts.qbs9
-rwxr-xr-xscripts/update-dmgbuild.sh49
-rwxr-xr-xscripts/update-xcspecs.sh53
3 files changed, 111 insertions, 0 deletions
diff --git a/scripts/scripts.qbs b/scripts/scripts.qbs
new file mode 100644
index 000000000..9a631ed10
--- /dev/null
+++ b/scripts/scripts.qbs
@@ -0,0 +1,9 @@
+import qbs
+
+Product {
+ name: "qbs dev scripts"
+ files: [
+ "*.bat",
+ "*.sh",
+ ]
+}
diff --git a/scripts/update-dmgbuild.sh b/scripts/update-dmgbuild.sh
new file mode 100755
index 000000000..01587677e
--- /dev/null
+++ b/scripts/update-dmgbuild.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+set -e
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of Qbs.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+python_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/../src/3rdparty/python"
+repos=(biplist.git@v1.0.2 dmgbuild.git@v1.3.1 ds_store@v1.1.2 mac_alias.git@v2.0.6)
+for repo in "${repos[@]}" ; do
+ pip install -U --isolated "--prefix=$python_dir" --no-binary :all: --no-compile --no-deps \
+ "git+git://github.com/qbs/$repo"
+done
+rm "$python_dir/lib/python2.7/site-packages/dmgbuild/resources/"*.tiff
diff --git a/scripts/update-xcspecs.sh b/scripts/update-xcspecs.sh
new file mode 100755
index 000000000..2c046f385
--- /dev/null
+++ b/scripts/update-xcspecs.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+set -e
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of Qbs.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Update build specs from Xcode - this script should be run when new Xcode releases are made.
+specs_dir="$(xcrun --sdk macosx --show-sdk-platform-path)/Developer/Library/Xcode/Specifications"
+specs_out_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/../share/qbs/modules/bundle"
+spec_files=("MacOSX Package Types.xcspec" "MacOSX Product Types.xcspec")
+for spec_file in "${spec_files[@]}" ; do
+ printf "%s\\n" "$(plutil -convert json -r -o - "$specs_dir/$spec_file")" > \
+ "$specs_out_dir/${spec_file// /-}"
+done
+xcode_version="$(/usr/libexec/PlistBuddy -c 'Print CFBundleShortVersionString' \
+ "$(xcode-select --print-path)/../Info.plist")"
+echo "Updated build specs from Xcode $xcode_version"